
From: Paolo 'Blaisorblade' Giarrusso <blaisorblade@yahoo.it>

Cleanup: make an inline of this empty proc.

Signed-off-by: Paolo 'Blaisorblade' Giarrusso <blaisorblade@yahoo.it>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/um/kernel/process_kern.c      |    4 ----
 include/asm-um/processor-generic.h |    6 +++++-
 2 files changed, 5 insertions(+), 5 deletions(-)

diff -puN arch/um/kernel/process_kern.c~uml-inline-empty-proc arch/um/kernel/process_kern.c
--- 25/arch/um/kernel/process_kern.c~uml-inline-empty-proc	2005-04-26 04:18:12.603151056 -0700
+++ 25-akpm/arch/um/kernel/process_kern.c	2005-04-26 04:18:12.608150296 -0700
@@ -161,10 +161,6 @@ void *get_current(void)
 	return(current);
 }
 
-void prepare_to_copy(struct task_struct *tsk)
-{
-}
-
 int copy_thread(int nr, unsigned long clone_flags, unsigned long sp,
 		unsigned long stack_top, struct task_struct * p, 
 		struct pt_regs *regs)
diff -puN include/asm-um/processor-generic.h~uml-inline-empty-proc include/asm-um/processor-generic.h
--- 25/include/asm-um/processor-generic.h~uml-inline-empty-proc	2005-04-26 04:18:12.604150904 -0700
+++ 25-akpm/include/asm-um/processor-generic.h	2005-04-26 04:18:12.607150448 -0700
@@ -89,7 +89,11 @@ extern struct task_struct *alloc_task_st
 extern void release_thread(struct task_struct *);
 extern int kernel_thread(int (*fn)(void *), void * arg, unsigned long flags);
 extern void dump_thread(struct pt_regs *regs, struct user *u);
-extern void prepare_to_copy(struct task_struct *tsk);
+
+static inline void prepare_to_copy(struct task_struct *tsk)
+{
+}
+
 
 extern unsigned long thread_saved_pc(struct task_struct *t);
 
_
